# Searches for invoices using predefined parameters Searches for invoices using predefined parameters Endpoint: POST /invoices/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `amount_paid` (array) - `balance_due` (array) - `batch_id` (array) - `bill_to_contact_id` (string) - `bill_to_organization_id` (string) - `bill_to_type` (string) - `business_unit_id` (string, required) The business unit - `date` (array) - `date_due` (array) - `id` (array) - `number` (array) - `purchase_order_number` (array) - `total` (array) - `total_in_base_currency` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.amount_paid` (number) - `Items.balance_due` (number) - `Items.base_currency_symbol` (string) - `Items.batch_id` (string) - `Items.bill_to_contact_id` (string) - `Items.bill_to_organization_id` (string) - `Items.bill_to_type` (string) - `Items.business_unit_id` (string, required) The business unit - `Items.currency_symbol` (string) - `Items.date` (string) - `Items.date_due` (string) - `Items.id` (string) - `Items.memo` (string) - `Items.number` (number) - `Items.total` (number) - `Items.total_in_base_currency` (number) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields